__gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false > Class Template Reference

Inherits Comb_Probe_Fn.

## Protected Types

typedef Comb_Probe_Fn | comb_probe_fn_base
typedef _Alloc::template rebind< Key >::other | key_allocator
typedef key_allocator::const_reference | key_const_reference
typedef _Alloc::size_type | size_type

## Protected Member Functions

| ranged_probe_fn (size_type size)
| ranged_probe_fn (size_type, const Comb_Probe_Fn &r_comb_probe_fn)
| ranged_probe_fn (size_type, const null_type &, const Comb_Probe_Fn &r_comb_probe_fn, const null_type &)
void | swap (ranged_probe_fn &other)

## Detailed Description

### template<typename Key, typename _Alloc, typename Comb_Probe_Fn>
class __gnu_pbds::detail::ranged_probe_fn< Key, null_type, _Alloc, Comb_Probe_Fn, null_type, false >

Specialization 3 and 4 The client does not supply a hash function or probe function, and requests that hash values not be stored.

Definition at line 296 of file ranged_probe_fn.hpp.

The documentation for this class was generated from the following file:

- ranged_probe_fn.hpp